package while_;

import java.util.Set;

public class Not implements Bexp {
	private Bexp bexp;

	public boolean value(State state) {
		return !bexp.value(state);
	}

	public Not(Bexp bexp) {
		this.bexp = bexp;
	}

	public Bexp apply(Substitution substitution) {
		return new Not(bexp.apply(substitution));
	}

	public Set<String> free(Set<String> set) {
		return set;
	}

}
