package while_;

import java.util.Set;

public class And implements Bexp {
	public And(Bexp bexp1, Bexp bexp2) {
		this.bexp1 = bexp1;
		this.bexp2 = bexp2;
	}

	private Bexp bexp1, bexp2;

	public boolean value(State state) {
		return bexp1.value(state) && bexp2.value(state);
	}

	public Bexp apply(Substitution substitution) {
		return new And(bexp1.apply(substitution), bexp2.apply(substitution));
	}

	public Set<String> free(Set<String> set) {
		bexp1.free(set);
		bexp2.free(set);
		return set;
	}

}
