package while_;

public class LessEqual extends BinRel {
	public LessEqual(Aexp aexp1, Aexp aexp2) {
		super(aexp1, aexp2);
	}

	public boolean value(State state) {
		return aexp1.value(state) == aexp2.value(state);
	}

	protected Bexp build(Aexp a1, Aexp a2) {
		return new LessEqual(a1, a2);
	}

	protected boolean op(int i1, int i2) {
		return i1 <= i2;
	}

}
